import request from '@/utils/request'

// 查询每日生产指令列表
export function listDetail(query) {
  return request({
    url: '/shiftmgr/detail/list',
    method: 'get',
    params: query
  })
}

// 查询每日生产指令详细
export function getDetail(id) {
  return request({
    url: '/shiftmgr/detail/' + id,
    method: 'get'
  })
}

// 新增每日生产指令
export function addDetail(data) {
  return request({
    url: '/shiftmgr/detail',
    method: 'post',
    data: data
  })
}

// 修改每日生产指令
export function updateDetail(data) {
  return request({
    url: '/shiftmgr/detail',
    method: 'put',
    data: data
  })
}

// 删除每日生产指令
export function delDetail(id) {
  return request({
    url: '/shiftmgr/detail/' + id,
    method: 'delete'
  })
}

// 导出每日生产指令
export function exportDetail(query) {
  return request({
    url: '/shiftmgr/detail/export',
    method: 'get',
    params: query
  })
}